> ## Documentation Index
> Fetch the complete documentation index at: https://docs.li.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information about all currently supported chains

> If you want to learn more about how to use this endpoint please have a look at our [guide](/sdk/chains-tools).



## OpenAPI

````yaml openapi.yaml GET /v1/chains
openapi: 3.0.2
info:
  title: LI.FI API
  version: 1.0.0
  description: >-
    LI.FI provides the best cross-chain swap across all liquidity pools and
    bridges.
servers:
  - url: https://li.quest
    description: LI.FI Production Environment
  - url: https://staging.li.quest
    description: LI.FI Staging Environment
security: []
paths:
  /v1/chains:
    get:
      summary: Get information about all currently supported chains
      description: >-
        If you want to learn more about how to use this endpoint please have a
        look at our [guide](/sdk/chains-tools).
      parameters:
        - example: EVM,SVM,UTXO,MVM,TVM
          name: chainTypes
          description: >-
            Restrict the resulting chains to the given chainTypes. Available
            values: EVM, SVM, UTXO, MVM, TVM. Pass all values to get every
            supported chain. If this parameter is omitted, the API returns only
            EVM chains.
          schema:
            type: string
            default: EVM,SVM,UTXO,MVM,TVM
          in: query
          required: false
        - name: x-lifi-api-key
          description: The apiKey allows you to authenticate on the API.
          schema:
            type: string
          in: header
      responses:
        '200':
          $ref: '#/components/responses/ChainsResponse'
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |
            curl --request GET \
              --url 'https://li.quest/v1/chains?chainTypes=EVM,SVM,UTXO,MVM,TVM'
        - lang: javascript
          label: JavaScript
          source: |
            const response = await fetch(
              'https://li.quest/v1/chains?chainTypes=EVM,SVM,UTXO,MVM,TVM'
            );
            const { chains } = await response.json();
        - lang: python
          label: Python
          source: |
            import requests

            response = requests.get(
                'https://li.quest/v1/chains',
                params={'chainTypes': 'EVM,SVM,UTXO,MVM,TVM'},
            )
            chains = response.json()['chains']
components:
  responses:
    ChainsResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ChainsResponse'
          examples:
            ChainsResponseExample:
              value:
                chains:
                  - key: eth
                    name: Ethereum
                    chainType: EVM
                    coin: ETH
                    id: 1
                    mainnet: true
                    logoURI: >-
                      https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/ethereum.svg
                    tokenlistUrl: https://gateway.ipfs.io/ipns/tokens.uniswap.org
                    multicallAddress: '0xcA11bde05977b3631167028862bE2a173976CA11'
                    metamask:
                      chainId: '0x1'
                      blockExplorerUrls:
                        - https://etherscan.io/
                      chainName: Ethereum Mainnet
                      nativeCurrency:
                        name: ETH
                        symbol: ETH
                        decimals: 18
                      rpcUrls:
                        - >-
                          https://mainnet.infura.io/v3/9aa3d95b340fa88ea12eaa4456161
                    nativeToken:
                      address: '0x0000000000000000000000000000000000000000'
                      decimals: 18
                      symbol: ETH
                      chainId: 1
                      coinKey: ETH
                      name: ETH
                      logoURI: >-
                        https://static.debank.com/image/token/logo_url/eth/935ae4e4d1d12d59a99717a24f2540b5.png
                      priceUSD: '2582.35'
                  - key: pol
                    name: Polygon
                    chainType: EVM
                    coin: MATIC
                    id: 137
                    mainnet: true
                    logoURI: >-
                      https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/polygon.svg
                    tokenlistUrl: >-
                      https://unpkg.com/quickswap-default-token-list@1.0.71/build/quickswap-default.tokenlist.json
                    faucetUrls:
                      - https://stakely.io/faucet/polygon-matic
                    multicallAddress: '0xcA11bde05977b3631167028862bE2a173976CA11'
                    metamask:
                      chainId: '0x89'
                      blockExplorerUrls:
                        - https://polygonscan.com/
                        - https://explorer-mainnet.maticvigil.com/
                      chainName: Matic(Polygon) Mainnet
                      nativeCurrency:
                        name: MATIC
                        symbol: MATIC
                        decimals: 18
                      rpcUrls:
                        - https://polygon-rpc.com/
                        - https://polygon.llamarpc.com/
                    nativeToken:
                      address: '0x0000000000000000000000000000000000000000'
                      decimals: 18
                      symbol: MATIC
                      chainId: 137
                      coinKey: MATIC
                      name: MATIC
                      logoURI: >-
                        https://static.debank.com/image/matic_token/logo_url/matic/6f5a6b6f0732a7a235131bd7804d357c.png
                      priceUSD: '0.881307'
                  - key: bsc
                    name: BSC
                    chainType: EVM
                    coin: BNB
                    id: 56
                    mainnet: true
                    logoURI: >-
                      https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/bsc.svg
                    tokenlistUrl: >-
                      https://tokens.pancakeswap.finance/pancakeswap-extended.json
                    faucetUrls:
                      - https://stakely.io/faucet/bsc-chain-bnb
                    multicallAddress: '0xcA11bde05977b3631167028862bE2a173976CA11'
                    metamask:
                      chainId: '0x38'
                      blockExplorerUrls:
                        - https://bscscan.com/
                      chainName: Binance Smart Chain Mainnet
                      nativeCurrency:
                        name: BNB
                        symbol: BNB
                        decimals: 18
                      rpcUrls:
                        - https://bsc-dataseed.binance.org/
                        - https://bsc-dataseed1.defibit.io/
                        - https://bsc-dataseed1.ninicoin.io/
                    nativeToken:
                      address: '0x0000000000000000000000000000000000000000'
                      decimals: 18
                      symbol: BNB
                      chainId: 56
                      coinKey: BNB
                      name: BNB
                      logoURI: >-
                        https://static.debank.com/image/bsc_token/logo_url/bsc/8bfdeaa46fe9be8f5cd43a53b8d1eea1.png
                      priceUSD: '266'
                  - key: dai
                    name: Gnosis
                    chainType: EVM
                    coin: DAI
                    id: 100
                    mainnet: true
                    logoURI: >-
                      https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/gnosis.svg
                    tokenlistUrl: https://tokens.honeyswap.org/
                    faucetUrls:
                      - https://stakely.io/faucet/xdai-chain
                    multicallAddress: '0xcA11bde05977b3631167028862bE2a173976CA11'
                    metamask:
                      chainId: '0x64'
                      blockExplorerUrls:
                        - https://blockscout.com/xdai/mainnet/
                      chainName: Gnosis Chain
                      nativeCurrency:
                        name: xDai
                        symbol: xDai
                        decimals: 18
                      rpcUrls:
                        - https://rpc.gnosischain.com/
                        - https://rpc.xdaichain.com/
                        - https://dai.poa.network/
                    nativeToken:
                      address: '0x0000000000000000000000000000000000000000'
                      decimals: 18
                      symbol: xDai
                      chainId: 100
                      coinKey: XDAI
                      name: xDai
                      logoURI: >-
                        https://static.debank.com/image/xdai_token/logo_url/xdai/1207e67652b691ef3bfe04f89f4b5362.png
                      priceUSD: '1.0002'
      description: ''
  schemas:
    ChainsResponse:
      title: Root Type for ChainsResponse
      description: ''
      type: object
      properties:
        chains:
          type: array
          items:
            $ref: '#/components/schemas/Chain'
      example:
        chains:
          - key: eth
            name: Ethereum
            coin: ETH
            id: 1
            mainnet: true
            chainType: EVM
            logoURI: >-
              https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/ethereum.svg
            tokenlistUrl: https://gateway.ipfs.io/ipns/tokens.uniswap.org
            multicallAddress: '0xcA11bde05977b3631167028862bE2a173976CA11'
            diamondAddress: '0x1231DEB6f5749EF6cE6943a275A1D3E7486F4EaE'
            metamask:
              chainId: '0x1'
              blockExplorerUrls:
                - https://etherscan.io/
              chainName: Ethereum Mainnet
              nativeCurrency:
                name: ETH
                symbol: ETH
                decimals: 18
              rpcUrls:
                - https://mainnet.infura.io/v3/9aa3d95b3bc440fa88ea12eaa4456161
            nativeToken:
              address: '0x0000000000000000000000000000000000000000'
              decimals: 18
              symbol: ETH
              chainId: 1
              coinKey: ETH
              name: ETH
              logoURI: >-
                https://static.debank.com/image/token/logo_url/eth/935ae4e4d1d12d59a99717a24f2540b5.png
              priceUSD: '2582.35'
          - key: pol
            name: Polygon
            coin: MATIC
            id: 137
            mainnet: true
            logoURI: >-
              https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/polygon.svg
            tokenlistUrl: >-
              https://unpkg.com/quickswap-default-token-list@1.0.71/build/quickswap-default.tokenlist.json
            faucetUrls:
              - https://stakely.io/faucet/polygon-matic
            metamask:
              chainId: '0x89'
              blockExplorerUrls:
                - https://polygonscan.com/
                - https://explorer-mainnet.maticvigil.com/
              chainName: Matic(Polygon) Mainnet
              nativeCurrency:
                name: MATIC
                symbol: MATIC
                decimals: 18
              rpcUrls:
                - https://polygon-rpc.com/
                - https://polygon.llamarpc.com/
          - key: bsc
            name: BSC
            coin: BNB
            id: 56
            mainnet: true
            logoURI: >-
              https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/bsc.svg
            tokenlistUrl: https://tokens.pancakeswap.finance/pancakeswap-extended.json
            faucetUrls:
              - https://stakely.io/faucet/bsc-chain-bnb
            metamask:
              chainId: '0x38'
              blockExplorerUrls:
                - https://bscscan.com/
              chainName: Binance Smart Chain Mainnet
              nativeCurrency:
                name: BNB
                symbol: BNB
                decimals: 18
              rpcUrls:
                - https://bsc-dataseed.binance.org/
                - https://bsc-dataseed1.defibit.io/
                - https://bsc-dataseed1.ninicoin.io/
          - key: dai
            name: Gnosis
            coin: DAI
            id: 100
            mainnet: true
            logoURI: >-
              https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/gnosis.svg
            tokenlistUrl: https://tokens.honeyswap.org/
            faucetUrls:
              - https://stakely.io/faucet/xdai-chain
            metamask:
              chainId: '0x64'
              blockExplorerUrls:
                - https://blockscout.com/xdai/mainnet/
              chainName: Gnosis Chain
              nativeCurrency:
                name: xDai
                symbol: xDai
                decimals: 18
              rpcUrls:
                - https://rpc.gnosischain.com/
                - https://rpc.xdaichain.com/
                - https://dai.poa.network/
    Chain:
      title: Root Type for Chain
      description: Representation of a chain
      required:
        - coin
        - id
        - key
        - mainnet
        - name
      type: object
      properties:
        key:
          description: Short string represenation of the chain
          type: string
        chainType:
          description: Type of the chain
          type: string
        name:
          description: Name of the chain
          type: string
        coin:
          description: The native coin of the chain
          type: string
        id:
          format: number
          description: Unique id of the chain
          type: number
        mainnet:
          description: Whether the chain is mainnet or not
          type: boolean
        logoURI:
          description: Logo of the chain
          type: string
        tokenlistUrl:
          description: Url to the list of available tokens
          type: string
        faucetUrls:
          description: List of available faucets
          type: array
          items:
            type: string
        multicallAddress:
          description: The multicall contract address
          type: string
        metamask:
          description: >-
            Information about the chain from metamask. Contains data about RPCs
            and block explorers
          type: object
          properties:
            chainId:
              type: string
            blockExplorerUrls:
              type: array
              items:
                type: string
            chainName:
              type: string
            nativeCurrency:
              type: object
              properties:
                name:
                  type: string
                symbol:
                  type: string
                decimals:
                  format: number
                  type: number
            rpcUrls:
              type: array
              items:
                type: string
        nativeToken:
          $ref: '#/components/schemas/Token'
          description: The native token info for the chain
      example:
        key: pol
        name: Polygon
        coin: MATIC
        id: 137
        mainnet: true
        logoURI: >-
          https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/polygon.svg
        tokenlistUrl: >-
          https://unpkg.com/quickswap-default-token-list@1.0.71/build/quickswap-default.tokenlist.json
        faucetUrls:
          - https://stakely.io/faucet/polygon-matic
        metamask:
          chainId: '0x89'
          blockExplorerUrls:
            - https://polygonscan.com/
            - https://explorer-mainnet.maticvigil.com/
          chainName: Matic(Polygon) Mainnet
          nativeCurrency:
            name: MATIC
            symbol: MATIC
            decimals: 18
          rpcUrls:
            - https://polygon-rpc.com/
            - https://polygon.llamarpc.com/
    Token:
      title: Root Type for Token
      description: Representation of a Token
      required:
        - address
        - chainId
        - decimals
        - name
        - symbol
      type: object
      properties:
        address:
          description: Address of the token
          type: string
        decimals:
          format: number
          description: Number of decimals the token uses
          type: number
        symbol:
          description: Symbol of the token
          type: string
        chainId:
          format: number
          description: Id of the token's chain
          type: number
        coinKey:
          description: Identifier for the token
          type: string
        name:
          description: Name of the token
          type: string
        logoURI:
          description: Logo of the token
          type: string
        priceUSD:
          description: Token price in USD
          type: string
      example:
        address: '0x8f3cf7ad23cd3cadbd9735aff958023239c6a063'
        symbol: DAI
        decimals: 18
        chainId: 137
        name: (PoS) Dai Stablecoin
        coinKey: DAI
        priceUSD: '1'
        logoURI: >-
          https://static.debank.com/image/matic_token/logo_url/0x8f3cf7ad23cd3cadbd9735aff958023239c6a063/549c4205dbb199f1b8b03af783f35e71.png

````